dofile(LockOn_Options.script_path.."MPCD/indicator/MPCD_definitions.lua")
dofile(LockOn_Options.script_path.."MPCD/indicator/MENU/MPCD_BG.lua")

-- Menu Options
local mpcd_mm_btn_01			= CreateElement "ceStringPoly"
mpcd_mm_btn_01.name				= "mpcd_mm_btn_01"
mpcd_mm_btn_01.material			= mpcd_font_base
mpcd_mm_btn_01.init_pos			= mpcd_btn_01_pos
mpcd_mm_btn_01.alignment		= "CenterCenter"
mpcd_mm_btn_01.formats			= {"H\nO\nV\n%d"}
mpcd_mm_btn_01.stringdefs		= MPCD_default_font_size
mpcd_mm_btn_01.controllers		= {{"phover_idx"}}
Add_MPCD_Element(mpcd_mm_btn_01)

local mpcd_mm_btn_03			= CreateElement "ceStringPoly"
mpcd_mm_btn_03.name				= "mpcd_mm_btn_03"
mpcd_mm_btn_03.material			= mpcd_font_base
mpcd_mm_btn_03.init_pos			= mpcd_btn_03_pos
mpcd_mm_btn_03.alignment		= "CenterCenter"
mpcd_mm_btn_03.value			= "P\nH\nO\nV"
mpcd_mm_btn_03.stringdefs		= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_03)

local mpcd_mm_btn_06			= CreateElement "ceStringPoly"
mpcd_mm_btn_06.name				= "mpcd_mm_btn_06"
mpcd_mm_btn_06.material			= mpcd_font_base
mpcd_mm_btn_06.init_pos			= mpcd_btn_06_pos
mpcd_mm_btn_06.alignment		= "CenterCenter"
mpcd_mm_btn_06.value			= "HCLR"
mpcd_mm_btn_06.stringdefs		= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_06)

local mpcd_mm_btn_18			= CreateElement "ceStringPoly"
mpcd_mm_btn_18.name				= "mpcd_mm_btn_18"
mpcd_mm_btn_18.material			= mpcd_font_base
mpcd_mm_btn_18.init_pos			= mpcd_btn_18_pos
mpcd_mm_btn_18.alignment		= "CenterCenter"
mpcd_mm_btn_18.value			= "MENU"
mpcd_mm_btn_18.stringdefs		= MPCD_default_font_size
Add_MPCD_Element(mpcd_mm_btn_18)

local mpcd_mm_btn_03_s			= create_mpcd_textured_box( 5, 4, 58, 153, nil, nil, 1)
mpcd_mm_btn_03_s.name			= "mpcd_mm_btn_03_s"
mpcd_mm_btn_03_s.init_pos		= {-0.95, 0.00, 0}
Add_MPCD_Element(mpcd_mm_btn_03_s)

-- DATA
local	phov_title_1			= CreateElement "ceStringPoly"
		phov_title_1.name		= "phov_title_1"
		phov_title_1.material	= mpcd_font_base
		phov_title_1.init_pos	= {-0.33, 0.33, 0}
		phov_title_1.alignment	= "CenterCenter"
		phov_title_1.value		= "10 SEC"
		phov_title_1.stringdefs	= MPCD_data1_font_size
		Add_MPCD_Element(phov_title_1)

local	phov_title_2				= CreateElement "ceStringPoly"
		phov_title_2.name			= "phov_title_2"
		phov_title_2.material		= mpcd_font_base
		phov_title_2.init_pos		= {0.0, 0.33, 0}
		phov_title_2.alignment		= "CenterCenter"
		phov_title_2.formats		= {"HOVER %d"}
		phov_title_2.stringdefs		= MPCD_data1_font_size
		phov_title_2.controllers	= {{"phover_idx"}}
		Add_MPCD_Element(phov_title_2)
		
local	phov_title_3				= CreateElement "ceStringPoly"
		phov_title_3.name			= "phov_title_3"
		phov_title_3.material		= mpcd_font_base
		phov_title_3.init_pos		= {0.33, 0.33, 0}
		phov_title_3.alignment		= "CenterCenter"
		phov_title_3.formats		= {"%s"}
		phov_title_3.stringdefs		= MPCD_data1_font_size
		phov_title_3.controllers	= {{"phover_type"}}
		Add_MPCD_Element(phov_title_3)

local	stab_pos			= CreateElement "ceStringPoly"
		stab_pos.name		= "stab_pos"
		stab_pos.material	= mpcd_font_base
		stab_pos.init_pos	= {-0.33, 0.18, 0}
		stab_pos.alignment	= "LeftCenter"
		stab_pos.value		= "STAB"
		stab_pos.stringdefs	= MPCD_data1_font_size
		Add_MPCD_Element(stab_pos)

local	eng_rpm				= CreateElement "ceStringPoly"
		eng_rpm.name		= "eng_rpm"
		eng_rpm.material	= mpcd_font_base
		eng_rpm.init_pos	= {-0.33, 0.11, 0}
		eng_rpm.alignment	= "LeftCenter"
		eng_rpm.value		= "RPM"
		eng_rpm.stringdefs	= MPCD_data1_font_size
		Add_MPCD_Element(eng_rpm)

local	eng_jpt				= CreateElement "ceStringPoly"
		eng_jpt.name		= "eng_jpt"
		eng_jpt.material	= mpcd_font_base
		eng_jpt.init_pos	= {-0.33, 0.04, 0}
		eng_jpt.alignment	= "LeftCenter"
		eng_jpt.value		= "JPT"
		eng_jpt.stringdefs	= MPCD_data1_font_size
		Add_MPCD_Element(eng_jpt)

local	ac_fuel				= CreateElement "ceStringPoly"
		ac_fuel.name		= "ac_fuel"
		ac_fuel.material	= mpcd_font_base
		ac_fuel.init_pos	= {-0.33, -0.03, 0}
		ac_fuel.alignment	= "LeftCenter"
		ac_fuel.value		= "FUEL"
		ac_fuel.stringdefs	= MPCD_data1_font_size
		Add_MPCD_Element(ac_fuel)

local	ac_hweight				= CreateElement "ceStringPoly"
		ac_hweight.name			= "ac_hweight"
		ac_hweight.material		= mpcd_font_base
		ac_hweight.init_pos		= {-0.33, -0.10, 0}
		ac_hweight.alignment	= "LeftCenter"
		ac_hweight.value		= "HWT"
		ac_hweight.stringdefs	= MPCD_data1_font_size
		Add_MPCD_Element(ac_hweight)

local	ac_oatc				= CreateElement "ceStringPoly"
		ac_oatc.name		= "ac_oatc"
		ac_oatc.material	= mpcd_font_base
		ac_oatc.init_pos	= {-0.33, -0.17, 0}
		ac_oatc.alignment	= "LeftCenter"
		ac_oatc.value		= "OATC"
		ac_oatc.stringdefs	= MPCD_data1_font_size
		Add_MPCD_Element(ac_oatc)

local	ac_balt				= CreateElement "ceStringPoly"
		ac_balt.name		= "ac_balt"
		ac_balt.material	= mpcd_font_base
		ac_balt.init_pos	= {-0.33, -0.24, 0}
		ac_balt.alignment	= "LeftCenter"
		ac_balt.value		= "BALT"
		ac_balt.stringdefs	= MPCD_data1_font_size
		Add_MPCD_Element(ac_balt)

local	ac_altm				= CreateElement "ceStringPoly"
		ac_altm.name		= "ac_altm"
		ac_altm.material	= mpcd_font_base
		ac_altm.init_pos	= {-0.33, -0.31, 0}
		ac_altm.alignment	= "LeftCenter"
		ac_altm.value		= "ALTM"
		ac_altm.stringdefs	= MPCD_data1_font_size
		Add_MPCD_Element(ac_altm)

local	ac_ralt				= CreateElement "ceStringPoly"
		ac_ralt.name		= "ac_ralt"
		ac_ralt.material	= mpcd_font_base
		ac_ralt.init_pos	= {-0.33, -0.38, 0}
		ac_ralt.alignment	= "LeftCenter"
		ac_ralt.value		= "RALT"
		ac_ralt.stringdefs	= MPCD_data1_font_size
		Add_MPCD_Element(ac_ralt)

local	ac_stpr				= CreateElement "ceStringPoly"
		ac_stpr.name		= "ac_stpr"
		ac_stpr.material	= mpcd_font_base
		ac_stpr.init_pos	= {-0.33, -0.45, 0}
		ac_stpr.alignment	= "LeftCenter"
		ac_stpr.value		= "STPR"
		ac_stpr.stringdefs	= MPCD_data1_font_size
		Add_MPCD_Element(ac_stpr)

local	ac_rhov				= CreateElement "ceStringPoly"
		ac_rhov.name		= "ac_rhov"
		ac_rhov.material	= mpcd_font_base
		ac_rhov.init_pos	= {-0.33, -0.69, 0}
		ac_rhov.alignment	= "LeftCenter"
		ac_rhov.value		= "RHOV"
		ac_rhov.stringdefs	= MPCD_data1_font_size
		Add_MPCD_Element(ac_rhov)

local	ac_rjpt				= CreateElement "ceStringPoly"
		ac_rjpt.name		= "ac_rjpt"
		ac_rjpt.material	= mpcd_font_base
		ac_rjpt.init_pos	= {-0.33, -0.76, 0}
		ac_rjpt.alignment	= "LeftCenter"
		ac_rjpt.value		= "RJPT"
		ac_rjpt.stringdefs	= MPCD_data1_font_size
		Add_MPCD_Element(ac_rjpt)

-- DATA VALUES
local	stab_pos_v					= CreateElement "ceStringPoly"
		stab_pos_v.name				= "stab_pos_v"
		stab_pos_v.material			= mpcd_font_base
		stab_pos_v.init_pos			= {0.33, 0.18, 0}
		stab_pos_v.alignment		= "RightCenter"
		stab_pos_v.formats			= {"%1.1f;"}
		stab_pos_v.stringdefs		= MPCD_data1_font_size
		stab_pos_v.controllers		= {{"eng_stab_pos"}}
		Add_MPCD_Element(stab_pos_v)

local	stab_pos_symbol				= create_mpcd_textured_box( 180, 864, 198, 922, nil, nil, 1)
		stab_pos_symbol.name		= "stab_pos_symbol"
		stab_pos_symbol.init_pos	= {0.37, 0.18, 0}
		stab_pos_symbol.controllers	= {{"eng_stab_pos_vector"}}
		Add_MPCD_Element(stab_pos_symbol)

local	eng_fan_rpm_h				= CreateElement "ceStringPoly"
		eng_fan_rpm_h.name			= "eng_fan_rpm_h"
		eng_fan_rpm_h.material		= mpcd_font_base
		eng_fan_rpm_h.init_pos		= {0.34, 0.11, 0}
		eng_fan_rpm_h.alignment		= "RightCenter"
		eng_fan_rpm_h.formats		= {"%1.f%%"}
		eng_fan_rpm_h.stringdefs	= MPCD_data1_font_size
		eng_fan_rpm_h.controllers	= {{"phover_rpm"}}
		Add_MPCD_Element(eng_fan_rpm_h)

local	eng_jpt_label_h				= CreateElement "ceStringPoly"
		eng_jpt_label_h.name		= "eng_jpt_label_h"
		eng_jpt_label_h.material	= mpcd_font_base
		eng_jpt_label_h.init_pos	= {0.35, 0.04, 0}
		eng_jpt_label_h.alignment	= "RightCenter"
		eng_jpt_label_h.formats		= {"%1.f;C"}
		eng_jpt_label_h.stringdefs	= MPCD_data1_font_size
		eng_jpt_label_h.controllers	= {{"phover_jpt"}}
		Add_MPCD_Element(eng_jpt_label_h)

local	fuel_weight_h				= CreateElement "ceStringPoly"
		fuel_weight_h.name			= "fuel_weight_h"
		fuel_weight_h.material		= mpcd_font_base
		fuel_weight_h.init_pos		= {0.33, -0.03, 0}
		fuel_weight_h.alignment		= "RightCenter"
		fuel_weight_h.formats		= {"%1.f#"}
		fuel_weight_h.stringdefs	= MPCD_data1_font_size
		fuel_weight_h.controllers	= {{"phover_fuel"}}
		Add_MPCD_Element(fuel_weight_h)

local	ac_hweight_v				= CreateElement "ceStringPoly"
		ac_hweight_v.name			= "ac_hweight_v"
		ac_hweight_v.material		= mpcd_font_base
		ac_hweight_v.init_pos		= {0.33, -0.10, 0}
		ac_hweight_v.alignment		= "RightCenter"
		ac_hweight_v.formats		= {"%1.f#"}
		ac_hweight_v.stringdefs		= MPCD_data1_font_size
		ac_hweight_v.controllers	= {{"phover_hwt"}}
		Add_MPCD_Element(ac_hweight_v)

local	ac_oatc_v				= CreateElement "ceStringPoly"
		ac_oatc_v.name			= "ac_oatc_v"
		ac_oatc_v.material		= mpcd_font_base
		ac_oatc_v.init_pos		= {0.36, -0.17, 0}
		ac_oatc_v.alignment		= "RightCenter"
		ac_oatc_v.formats		= {"%1.f;C"}
		ac_oatc_v.stringdefs	= MPCD_data1_font_size
		ac_oatc_v.controllers	= {{"phover_oatc"}}
		Add_MPCD_Element(ac_oatc_v)

local	ac_balt_v				= CreateElement "ceStringPoly"
		ac_balt_v.name			= "ac_balt_v"
		ac_balt_v.material		= mpcd_font_base
		ac_balt_v.init_pos		= {0.37, -0.24, 0}
		ac_balt_v.alignment		= "RightCenter"
		ac_balt_v.formats		= {"%1.fFT"}
		ac_balt_v.stringdefs	= MPCD_data1_font_size
		ac_balt_v.controllers	= {{"phover_balt"}}
		Add_MPCD_Element(ac_balt_v)

local	ac_altm_v				= CreateElement "ceStringPoly"
		ac_altm_v.name			= "ac_altm_v"
		ac_altm_v.material		= mpcd_font_base
		ac_altm_v.init_pos		= {0.30, -0.31, 0}
		ac_altm_v.alignment		= "RightCenter"
		ac_altm_v.formats		= {"%1.2f"}
		ac_altm_v.stringdefs	= MPCD_data1_font_size
		ac_altm_v.controllers	= {{"phover_altm"}}
		Add_MPCD_Element(ac_altm_v)

local	ac_ralt_v				= CreateElement "ceStringPoly"
		ac_ralt_v.name			= "ac_ralt_v"
		ac_ralt_v.material		= mpcd_font_base
		ac_ralt_v.init_pos		= {0.37, -0.38, 0}
		ac_ralt_v.alignment		= "RightCenter"
		ac_ralt_v.formats		= {"%1.fFT"}
		ac_ralt_v.stringdefs	= MPCD_data1_font_size
		ac_ralt_v.controllers	= {{"phover_ralt"}}
		Add_MPCD_Element(ac_ralt_v)

local	ac_stpr_v				= CreateElement "ceStringPoly"
		ac_stpr_v.name			= "ac_stpr_v"
		ac_stpr_v.material		= mpcd_font_base
		ac_stpr_v.init_pos		= {0.30, -0.45, 0}
		ac_stpr_v.alignment		= "RightCenter"
		ac_stpr_v.formats		= {"%1.2f"}
		ac_stpr_v.stringdefs	= MPCD_data1_font_size
		ac_stpr_v.controllers	= {{"phover_stpr"}}
		Add_MPCD_Element(ac_stpr_v)
